#include <iostream>

using namespace std;

// Broji koliko puta se cifra ponavlja u nizu
long counter(long broj, long arr[], long n) {
    long times = 0;
    for (long i = 0; i < n; i++) {
        if (arr[i] == broj) {
            times += 1;
        }
    }
    return times;
}

int main()
{
    long n, k;
    cin >> n >> k;

    long brojevi[n];
    for (long i = 0; i < n; i++) {
        cin >> brojevi[i];
    }

    long zameniti[n] = {};
    long brojac = 0;
    for (long i = 0; i < n; i++) {
        if (counter(brojevi[i], brojevi, n) >= k && counter(brojevi[i], zameniti, brojac) == 0) {
            zameniti[brojac] = brojevi[i];
            brojac += 1;
        }
    }

    cout << brojac << endl;
    for (long i = 0; i < brojac; i++) {
        cout << zameniti[i] << " ";
    }

    return 0;
}